This course covers a wide range of topics in security and privacy. The goal of
the course project is to dive more deeply into a particular topic individually
or in groups of two. This project could take different forms:

- **Theoretical**: Extend a technique, explore a new application, or develop
  some other kind of conceptual contribution.
- **Experience report**: Experiment with an existing implementation, trying out
  different examples and describing the overall experience. Or make a new
  implementation.
- **Literature survey**: Select a couple (3-5) of related papers in a recent
  research area. Summarize the significance, then compare and contrast.
- **Other**: Feel free to propose other kinds of projects.

A good project will be the start of a potentially publishable result.

## Deliverables

In order to keep projects on track, each group will turn in two short (**1-2
pages**) milestone reports along the way. At one-third of the way through, you
should have settled on a project goal and made some exploratory steps.

- **Milestone 1**. Describe the project goal concretely, summarize what
  preliminary things have been tried, and plan out which directions to explore
  next.

At two-thirds of the way through, the project should be progressing and it
should be clear what remains to be done.

- **Milestone 2**. Clarify the project goal if it has changed, summarize current
  progress, and plan out how to finish remaining items.

Besides the milestones, the main deliverable of the project will be a final
report, around **15-20 pages** in length. Reports should be written in a
research paper style, covering the following broad areas in some order:

- **Introduce** the problem and the motivation. 
- **Review** background and preliminary material.
- **Develop** the main technical core of the project.
- **Survey** related work.
- **Summarize** and evaluate the results.

At the end of the course, each group will present their project in class.

## Deadlines

The most immediate task is to form groups (if desired) and select a preliminary
project topic. Discuss with the instructor or send an email with the project
topic and group members (less ideal) by **???**.

Deadlines for the deliverables are [here](../schedule/deadlines.md).
